#include "uart.h"
#include "task.h"
#include "vfs.h"
void shell_task(void){
    char buf[64];
    while(1){
        uart_puts("$ ");
        int i=0;
        while((buf[i]=uart_getc())!='\n') uart_putc(buf[i++]);
        buf[i]=0;
        if(strcmp(buf,"ls")==0) vfs_ls();
        else if(strncmp(buf,"cat ",4)==0) vfs_cat(buf+4);
        else uart_puts("Unknown\n");
    }
}